Foreman - Bug #33319

don't run npm-fix-foreman-stories.sh on every npm install
08/23/2021 08:30 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: JavaScript stack
Target version:
Difficulty: Fixed in Releases: 3.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8730,
https://github.com/theforeman/foreman/p
ull/8736
Description

Right now, we run npm-fix-foreman-stories.sh in postinstall, so on every "npm install" in Foreman, this gets executed and pulls in
thousands of deps.

The script guards by SNODE_ENV != "production", but when building assets for packaging, we don't set NODE_ENYV to "production”
(probably because we need devDependencies actually installed as it contains webpack etc?)

So my questions would be:

1. can we just move npm-fix-foreman-stories.sh to a step that is not automatically executed on every "npm i"?
2. should we run package builds with NODE_ENV=production?

3. what about CI? are storybooks needed there? my gut is saying no?

Related issues:
Related to Foreman - Bug #33317: better differentiate between build, develop ... New

Associated revisions

Revision 2¢96294a - 08/23/2021 04:59 PM - Evgeni Golov

Fixes #33319 - don't run fix-stories on every postinstall

History

#1 - 08/23/2021 08:33 AM - Evgeni Golov
- Related to Bug #33317: better differentiate between build, develop and test dependencies for JavaScript added

#2 - 08/23/2021 09:17 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman/pull/8730 added

#3 - 08/23/2021 04:59 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 08/23/2021 05:08 PM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|2c96294a124d5f6e13d48fc1841fb8441a648e18.

#5 - 08/24/2021 10:09 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8736 added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2c96294a124d5f6e13d48fc1841fb8441a648e18

#6 - 08/24/2021 10:31 AM - Evgeni Golov
- Fixed in Releases 3.0.0 added
- Fixed in Releases deleted (3.1.0)
